Xalan-Java 2.7.1: Class JAXPPrefixResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.jaxp
Class JAXPPrefixResolver

    java.lang.Object
      |
      +--org.apache.xpath.jaxp.JAXPPrefixResolver

public class JAXPPrefixResolver
extends java.lang.Object
implements PrefixResolver

This class implements a Default PrefixResolver which can be used to perform prefix-to-namespace lookup for the XPath object. This class delegates the resolution to the passed NamespaceContext

Field Summary
`static java.lang.String` | `S_XMLNAMESPACEURI` The URI for the XML namespace.

Constructor Summary
`JAXPPrefixResolver(NamespaceContext nsContext)`

Method Summary
`java.lang.String` | `getBaseIdentifier()` Return the base identifier.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)`
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, Node namespaceContext)` Given a prefix and a Context Node, get the corresponding namespace.
`boolean` | `handlesNullPrefixes()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_XMLNAMESPACEURI

    public static final java.lang.String S_XMLNAMESPACEURI

  The URI for the XML namespace. (Duplicate of that found in org.apache.xpath.XPathContext).

Constructor Detail

### JAXPPrefixResolver

    public JAXPPrefixResolver(NamespaceContext nsContext)

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Specified by:
    getNamespaceForPrefix in interface PrefixResolver

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Return the base identifier.
  Specified by:
    getBaseIdentifier in interface PrefixResolver
  Returns:
    null

### handlesNullPrefixes

    public boolean handlesNullPrefixes()

  Specified by:
    handlesNullPrefixes in interface PrefixResolver
  See Also:
    `PrefixResolver.handlesNullPrefixes()`

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  Node namespaceContext)

  Given a prefix and a Context Node, get the corresponding namespace. Warning: This will not work correctly if namespaceContext is an attribute node.
  Specified by:
    getNamespaceForPrefix in interface PrefixResolver
  Parameters:
    `prefix` - Prefix to resolve.
    `namespaceContext` - Node from which to start searching for a xmlns attribute that binds a prefix to a namespace.
  Returns:
    Namespace that prefix resolves to, or null if prefix is not bound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.